Page MenuHomePhabricator

Remove insource field from search form
Closed, ResolvedPublic1 Story Points

Description

Motivation
Although it might be useful to look for certain wiki text rather than the text displayed, we will not support the feature (see also [T165327]). Reasons include: Greyspace is excluded from the search when using insource without a regex, which means that many wiki text specific searches cannot be executed very well. Regex search is very performance intensive, and aborts very quickly. Hence, we don't feel confident that insource is useful to many people in the advancedSearch form

AC

  • Insource ("Wikitext contains") is not part of the advanced search form anymore

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptOct 30 2017, 11:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE set the point value for this task to 1.Nov 1 2017, 12:50 PM

Change 388078 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/AdvancedSearch@master] Remove "Wikitext contains" field

https://gerrit.wikimedia.org/r/388078

Hi @Lea_WMDE ,

we have two ways to disable this - either nuke it to never see it again, or disable it via a config flag. Do you think it is reasonable to assume that this field is going to make a return some day?
(Would save us now deleting e.g. the translations and having to recreate them later)

Thanks

I actually don't think it is coming back. However, there will probably be 3 other fields, so if it makes sense to disable it via a config flag and then completely change its purpose, this could be done, too.

Change 388078 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Remove "Wikitext contains" field

https://gerrit.wikimedia.org/r/388078

Lea_WMDE closed this task as Resolved.Nov 10 2017, 11:05 AM